
FreeNAS - Bug #23883

Document API for boot environment calls

05/09/2017 04:10 PM - Erin Clark

Status: Resolved   

Priority: Expected   

Assignee: William Grzybowski   

Category: Middleware   

Target version: 11.1-BETA1   

Seen in: Master - FreeNAS Nightlies Needs Merging: Yes

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: Yes   

Description

I cannot find documentation for Boot Environment calls to edit/rename a boot environment, activate a boot environment or set the

keep flag on a boot environment, could you please document these for me?

Related issues:

Related to FreeNAS - Feature #23810: Boot Environment UI Resolved 04/06/2017

Associated revisions

Revision f9c5a21f - 05/15/2017 12:34 PM - William Grzybowski 

fix(api): document boot environment rename

Ticket: #23883

Revision b7f523a6 - 05/15/2017 12:55 PM - William Grzybowski 

feat(middlewared): add bootenv plugin with listing and activate

Ticket: #23883

Revision d688ca78 - 05/15/2017 01:33 PM - William Grzybowski 

feat(middlewared): add bootenv.rename

Ticket: #23883

History

#1 - 05/09/2017 04:11 PM - Erin Clark

- Related to Feature #23810: Boot Environment UI added

#2 - 05/10/2017 05:12 AM - William Grzybowski

- Status changed from Unscreened to Screened

- Seen in changed from Unspecified to Master - FreeNAS Nightlies
#3 - 05/10/2017 10:17 AM - William Grzybowski

- Target version changed from 11.0 to 11.1

#4 - 05/15/2017 01:38 PM - William Grzybowski

- Status changed from Screened to Resolved

There is a REST api for rename: /system/bootenv/name/rename/  sending {"name": "newname"}

There are also now the following websocket calls:

bootenv.rename "id" "newname"

bootenv.activate "id"

bootenv.set_attribute "id" {"keep": true}

#5 - 09/01/2017 11:00 AM - Dru Lavigne

- Subject changed from Document API for Boot Environment Calls to Document API for boot environment calls

#6 - 09/26/2017 01:03 PM - Dru Lavigne

- Target version changed from 11.1 to 11.1-BETA1

#7 - 11/01/2017 08:43 AM - Joe Maloney

- Needs QA changed from Yes to No

- QA Status deleted (Not Tested)
